Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.compiler
Class SDBCompile

    java.lang.Object
      com.hp.hpl.jena.sdb.compiler.SDBCompile

    public class SDBCompile

extends Object

Constructor Summary
`SDBCompile()`

Method Summary
`static com.hp.hpl.jena.sparql.algebra.Op` | `compile(Store store, com.hp.hpl.jena.sparql.algebra.Op op)`
`static com.hp.hpl.jena.sparql.algebra.Op` | `compile(Store store, com.hp.hpl.jena.sparql.algebra.Op op, com.hp.hpl.jena.sparql.engine.binding.Binding binding, com.hp.hpl.jena.sparql.util.Context context, SDBRequest request)`
`static com.hp.hpl.jena.sparql.algebra.Op` | `compile(Store store, com.hp.hpl.jena.sparql.algebra.Op op, com.hp.hpl.jena.sparql.util.Context context)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SDBCompile

    public SDBCompile()

Method Detail

### compile

    public static com.hp.hpl.jena.sparql.algebra.Op compile(Store store,
                                                            com.hp.hpl.jena.sparql.algebra.Op op)

### compile

    public static com.hp.hpl.jena.sparql.algebra.Op compile(Store store,
                                                            com.hp.hpl.jena.sparql.algebra.Op op,
                                                            com.hp.hpl.jena.sparql.util.Context context)

### compile

    public static com.hp.hpl.jena.sparql.algebra.Op compile(Store store,
                                                            com.hp.hpl.jena.sparql.algebra.Op op,
                                                            com.hp.hpl.jena.sparql.engine.binding.Binding binding,
                                                            com.hp.hpl.jena.sparql.util.Context context,
                                                            SDBRequest request)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.